Upstream information

CVE-2010-2452 at MITRE

Description

Directory traversal vulnerability in the DCC functionality in KVIrc 3.4 and 4.0 allows remote attackers to overwrite arbitrary files via unknown vectors.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 9.3
Vector AV:N/AC:M/Au:N/C:C/I:C/A:C
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Complete
Integrity Impact Complete
Availability Impact Complete
SUSE Bugzilla entry: 613163 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
openSUSE 11.0
  • kvirc-debuginfo >= 3.2.6-186.2
  • kvirc-debugsource >= 3.2.6-186.2
openSUSE 11.0
  • kvirc >= 3.2.6-186.2
  • kvirc-devel >= 3.2.6-186.2
openSUSE 11.1
  • kvirc-debuginfo >= 3.4.2-2.25.1
  • kvirc-debugsource >= 3.4.2-2.25.1
openSUSE 11.1
  • kvirc >= 3.4.2-2.25.1
  • kvirc-devel >= 3.4.2-2.25.1
openSUSE 11.2
  • kvirc-debuginfo >= 3.4.2-4.6.1
  • kvirc-debugsource >= 3.4.2-4.6.1
openSUSE 11.2
  • kvirc >= 3.4.2-4.6.1
  • kvirc-devel >= 3.4.2-4.6.1